Package uk.ac.starlink.topcat.vizier

## Class VizierInfo

- java.lang.Object
- - uk.ac.starlink.topcat.vizier.VizierInfo

-     public class VizierInfo
      extends java.lang.Object

  Can obtain information about VizieR service. Most of the methods in this class may take time to interrogate the VizieR server, and therefore ought not to be called on the event dispatch thread.
  Since:
    3 Nov 2009
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InfoItem[]` | `getArchives()` | Returns a list of the known archive resources.
    `java.lang.String[]` | `getAstronomyKws()` | Returns the list of keyword values permitted for the Astronomy controlled vocabulary.
    `java.net.URL` | `getBaseUrl()` |
    `java.lang.String[]` | `getMissionKws()` | Returns the list of keyword values permitted for the Mission controlled vocabulary.
    `java.awt.Component` | `getParent()` | Returns the declared parent component used by this object for placing warning messages.
    `InfoItem[]` | `getSurveys()` | Returns a list of the known survey resources.
    `java.lang.String[]` | `getWavelengthKws()` | Returns the list of keyword values permitted for the Wavelength controlled vocabulary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBaseUrl

          public java.net.URL getBaseUrl()

    - #### getSurveys

          public InfoItem[] getSurveys()

      Returns a list of the known survey resources.
      Returns:
        survey array; may be empty, but not null, if there was an error

    - #### getArchives

          public InfoItem[] getArchives()

      Returns a list of the known archive resources.
      Returns:
        archive array; may be empty, but not null, if there was an error

    - #### getWavelengthKws

          public java.lang.String[] getWavelengthKws()

      Returns the list of keyword values permitted for the Wavelength controlled vocabulary.
      Returns:
        wavelength keywords

    - #### getMissionKws

          public java.lang.String[] getMissionKws()

      Returns the list of keyword values permitted for the Mission controlled vocabulary.
      Returns:
        mission keywords

    - #### getAstronomyKws

          public java.lang.String[] getAstronomyKws()

      Returns the list of keyword values permitted for the Astronomy controlled vocabulary.
      Returns:
        astronomy keywords

    - #### getParent

          public java.awt.Component getParent()

      Returns the declared parent component used by this object for placing warning messages.
      Returns:
        parent component

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.